Bug 22697 - Reindent catalogue/result.tt
Summary: Reindent catalogue/result.tt
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 22695
Blocks:
  Show dependency treegraph
 
Reported: 2019-04-12 14:32 UTC by Owen Leonard
Modified: 2019-04-26 14:20 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00


Attachments
Bug 22697: Reindent catalogue/result.tt (86.28 KB, patch)
2019-04-12 14:42 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22697: Reindent catalogue/result.tt (86.33 KB, patch)
2019-04-14 12:34 UTC, Michal Denar
Details | Diff | Splinter Review
Bug 22697: Reindent catalogue/result.tt (86.44 KB, patch)
2019-04-17 05:52 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-04-12 14:32:16 UTC
The template for catalog search results in the staff client would be much more readable if it were indented consistently.
Comment 1 Owen Leonard 2019-04-12 14:42:56 UTC Comment hidden (obsolete)
Comment 2 Michal Denar 2019-04-14 12:34:58 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2019-04-17 05:52:15 UTC
Created attachment 88131 [details] [review]
Bug 22697: Reindent catalogue/result.tt

This patch reindents the template for staff client catalogue search
results. The only non-whitespace changes are comments to help identify
closing tags and template directives.

To test, apply the patch and perform a catalog search in the staff
client. The results should look correct.

The diff using the '-w' flag to ignore whitespace should
highlight only moved lines and added comments.

Signed-off-by: Michal Denar <black23@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=22679
Comment 4 Nick Clemens 2019-04-19 14:56:47 UTC
Awesome work all!

Pushed to master for 19.05
Comment 5 Martin Renvoize 2019-04-26 14:20:49 UTC
Enhancement will not be backported to 18.11.x series.